import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class TextAreaTesti1SWF_2000 extends JFrame
implements ActionListener,TextListener
{
private JTextArea T1,T2;
private JButton kopye;

public TextAreaTesti1SWF_2000()
{
super("JTextAreaTesti");
Container c=getContentPane();
c.setLayout(new FlowLayout());
c.setBackground(Color.lightGray);
//bos textField
String s="buraya denemek icin\nyazı yazıldı\n\t sonrada bu yazı aktarıldı";
//not \n satırbaşı kontrol
// \t bir sonraki tab setine git
Box b=Box.createHorizontalBox();
T1=new JTextArea(s,10,15);
b.add(new JScrollPane(T1));
kopye=new JButton("Kopye >>>");
kopye.addActionListener(this);
b.add(kopye);
c.add(kopye);
T2=new JTextArea(10,15);
T2.setEditable(false);
b.add(new JScrollPane(T2));
c.add(b);
}

public void actionPerformed(ActionEvent e)
{
// T1 penceresinden seçilen yazıyı
// kopye düğmesine basıldığında T2 penceresine aktar
T2.setText(T1.getSelectedText());
}
public void textValueChanged(TextEvent e)
{
//Birinci pencereye yeni yazı yazıldığında ikinci pencereye aktar
TextComponent kaynak=(TextComponent)(e.getSource());
T2.setText(kaynak.getText());
}
     public static void main(String[] args)
      {
      TextAreaTesti1SWF_2000 pencere= new TextAreaTesti1SWF_2000();
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(600,200);
      pencere.setVisible(true);
      }

}
